package JHeroic;

/**
 * Object representing HeaRT model in JHeroic interface
 *
 * @author Szymon Bobek
 * @author Michal Gawedzki
 * @version 1.0
 */
public class JHModel {
    /**
     * Name of model's owner
     */
    private String userName = null;

    /**
     * Name of model
     */
    private String modelName = null;

    /**
     * This method creates model object
     *
     * @param userName model owner name
     * @param modelName model name
     */
    public JHModel(String userName, String modelName)
    {
        this.userName = userName;
        this.modelName = modelName;
    }

    /**
     * This method creates model objec from HeaRT replay, means [modeName,userName]
     *
     * @param replayString HeaRT replay String
     */
    public JHModel(String replayString)
    {
        String tmpString = replayString.substring(1, replayString.length()-1);
        String[] tmpArrayString = tmpString.split(",");
        this.userName = tmpArrayString[1];
        this.modelName = tmpArrayString[0];
    }

    /**
     * get model owner name
     *
     * @return UserName
     */
    public String getUserName()
    {
        return this.userName;
    }

    /**
     * get model name
     *
     * @return modelName
     */
    public String getModelName()
    {
        return this.modelName;
    }

    /**
     * get user and model as HeaRT replay string, means [modelName, userName]
     * @return HeaRT replay string
     */
    public String getReplayString()
    {
        return "[" + this.modelName + "," + this.userName + "]";
    }

}
